.container {
    max-width: 1140px;
    margin-right: auto;
    margin-left: auto;
}

/* FLEXBOX styles */
.flex {
    display: flex;
}

.w-full {
    width: 100%;
}

.flex-wrap {
    flex-wrap: wrap;
}

.space-between {
    justify-content: space-between;
}

.justify-end {
    justify-content: end;
}

.align-center {
    align-items: center;
}

/* GRID styles */
.grid {
    display: grid;
}

/* Flex direction */
.flex-col {
    flex-direction: column;
}

.flex-row {
    flex-direction: row;
}

.grid-item {
    width: 100%; /* Each item should take full width of its grid cell */
}

/* Applies starting below 768px */
@media (max-width: 768px) {

    .container {
        padding-left: 15px;
        padding-right: 15px;
    }

    .hide-on-mobile {
        display: none;
    }

    .text-right-mobile {
        text-align: right;
    }

    .sm-flex-start {
        justify-content: flex-start;
    }

}

/* Applies starting from 768px */
@media (min-width: 768px) {
    .grid-cols-2 {
        grid-template-columns: repeat(2, 1fr);
    }    
}

/* Applies starting from 768px */
@media (min-width: 768px) {
    .grid-cols-2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .w-1-2 {
        width: 50%;
    }

    .w-1-4 {
        width: 25%;
    }

    .justify-center {
        justify-content: center;
    }
}

/* Applies starting from 1024px */
@media (min-width: 1024px) {
    .grid-cols-3 {
        grid-template-columns: repeat(3, 1fr);
    }

    .w-1-5 {
        width: 20%;
    }

}

/* Applies starting from 1280px */
@media (min-width: 1280px) {
    .grid-cols-4 {
        grid-template-columns: repeat(4, 1fr);
    }
}

/* END: GRID */

.gap-1 {
    gap: 4px;
}

.gap-2 {
    gap: 8px;
}

.gap-3 {
    gap: 12px;
}

.gap-4 {
    gap: 16px;
}

.gap-8 {
    gap: 32px;
}

.gap-16 {
    gap: 64px;
}

.p-4 {
    padding: 16px;
}

.py-2 {
    padding: 8px 0;
}

.p-2 {
    padding: 8px;
}

.p-0 {
    padding: 0;
}

.m-0 {
    margin: 0;
}

/* vertial margin */

.my-4 {
    margin: 16px 0;
}

/* margin bottom */
.mb-1 {
    margin-bottom: 4px;
}

.mb-2 {
    margin-bottom: 8px;
}

.mb-4 {
    margin-bottom: 16px;
}

/* margin-top */
.mt-0 {
    margin-top: 0;
}

/* margin-bottom */
.mb-0 {
    margin-bottom: 0;
}

/* Text alignment */
.text-center {
    text-align: center;
}